import { jsx } from "react/jsx-runtime";
import { ReceiptX as ReceiptX$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ReceiptX = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ReceiptX", ...props, children: /* @__PURE__ */ jsx(ReceiptX$1, { weight: variant }) });
  }
);
ReceiptX.displayName = "ReceiptX";
Object.assign(ReceiptX, { isGdsIcon: true });
export {
  ReceiptX
};
